Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.dicsv3.session.impl
Class DicsSessionServiceImpl

    java.lang.Object
      be.ehealth.businessconnector.dicsv3.session.impl.DicsSessionServiceImpl

All Implemented Interfaces:
  DicsSessionService, ConfigurationModuleBootstrap.ModuleBootstrapHook

    public class DicsSessionServiceImpl

extends Object
implements DicsSessionService, ConfigurationModuleBootstrap.ModuleBootstrapHook

Implementation of `DicsSessionService`

Constructor Summary
`DicsSessionServiceImpl()` default constructor, needed for ModuleBootstrapHook
`DicsSessionServiceImpl(SessionValidator sessionValidator)`

Method Summary
`void` | `bootstrap()`
`FindAmpResponse` | `findAmp(FindAmpRequest findAmpRequest)`
`FindCommentedClassificationResponse` | `findCommentedClassification(FindCommentedClassificationRequest findCommentedClassificationRequest)`
`FindCompanyResponse` | `findCompany(FindCompanyRequest findCompanyRequest)`
`FindCompoundingFormulaResponse` | `findFormula(FindCompoundingFormulaRequest findCompoundingFormulaRequest)`
`FindCompoundingIngredientResponse` | `findIngredient(FindCompoundingIngredientRequest findCompoundingIngredientRequest)`
`FindLegislationTextResponse` | `findLegislationText(FindLegislationTextRequest findLegislationTextRequest)`
`FindReferencesResponse` | `findReferences(FindReferencesRequest findReferencesRequest)`
`FindReimbursementResponse` | `findReimbursement(FindReimbursementRequest findReimbursementRequest)`
`FindVmpResponse` | `findVmp(FindVmpRequest findVmpRequest)`
`FindVmpGroupResponse` | `findVmpGroup(FindVmpGroupRequest findVmpGroupRequest)`
`FindVtmResponse` | `findVtm(FindVtmRequest findVtmRequest)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DicsSessionServiceImpl

    public DicsSessionServiceImpl(SessionValidator sessionValidator)
                           throws TechnicalConnectorException

Throws:
  `TechnicalConnectorException`

### DicsSessionServiceImpl

    public DicsSessionServiceImpl()

  default constructor, needed for ModuleBootstrapHook

Method Detail

### findAmp

    public FindAmpResponse findAmp(FindAmpRequest findAmpRequest)
                            throws TechnicalConnectorException

  Specified by:
    `findAmp` in interface `DicsSessionService`
  Returns:
    FindAmpResponse
  Throws:
    `TechnicalConnectorException`

### findCompany

    public FindCompanyResponse findCompany(FindCompanyRequest findCompanyRequest)
                                    throws TechnicalConnectorException

  Specified by:
    `findCompany` in interface `DicsSessionService`
  Returns:
    FindCompanyResponse
  Throws:
    `TechnicalConnectorException`

### findLegislationText

    public FindLegislationTextResponse findLegislationText(FindLegislationTextRequest findLegislationTextRequest)
                                                    throws TechnicalConnectorException

  Specified by:
    `findLegislationText` in interface `DicsSessionService`
  Returns:
    FindLegislationTextResponse
  Throws:
    `TechnicalConnectorException`

### findReferences

    public FindReferencesResponse findReferences(FindReferencesRequest findReferencesRequest)
                                          throws TechnicalConnectorException

  Specified by:
    `findReferences` in interface `DicsSessionService`
  Returns:
    FindReferencesResponse
  Throws:
    `TechnicalConnectorException`

### findReimbursement

    public FindReimbursementResponse findReimbursement(FindReimbursementRequest findReimbursementRequest)
                                                throws TechnicalConnectorException

  Specified by:
    `findReimbursement` in interface `DicsSessionService`
  Returns:
    FindReimbursementResponse
  Throws:
    `TechnicalConnectorException`

### findVmp

    public FindVmpResponse findVmp(FindVmpRequest findVmpRequest)
                            throws TechnicalConnectorException

  Specified by:
    `findVmp` in interface `DicsSessionService`
  Returns:
    FindVmpResponse
  Throws:
    `TechnicalConnectorException`

### bootstrap

    public void bootstrap()

  Specified by:
    `bootstrap` in interface `ConfigurationModuleBootstrap.ModuleBootstrapHook`

### findCommentedClassification

    public FindCommentedClassificationResponse findCommentedClassification(FindCommentedClassificationRequest findCommentedClassificationRequest)
                                                                    throws TechnicalConnectorException

  Specified by:
    `findCommentedClassification` in interface `DicsSessionService`
  Returns:
  Throws:
    `TechnicalConnectorException`

### findFormula

    public FindCompoundingFormulaResponse findFormula(FindCompoundingFormulaRequest findCompoundingFormulaRequest)
                                               throws TechnicalConnectorException

  Specified by:
    `findFormula` in interface `DicsSessionService`
  Returns:
  Throws:
    `TechnicalConnectorException`

### findIngredient

    public FindCompoundingIngredientResponse findIngredient(FindCompoundingIngredientRequest findCompoundingIngredientRequest)
                                                     throws TechnicalConnectorException

  Specified by:
    `findIngredient` in interface `DicsSessionService`
  Returns:
  Throws:
    `TechnicalConnectorException`

### findVmpGroup

    public FindVmpGroupResponse findVmpGroup(FindVmpGroupRequest findVmpGroupRequest)
                                      throws TechnicalConnectorException

  Specified by:
    `findVmpGroup` in interface `DicsSessionService`
  Returns:
  Throws:
    `TechnicalConnectorException`

### findVtm

    public FindVtmResponse findVtm(FindVtmRequest findVtmRequest)
                            throws TechnicalConnectorException

  Specified by:
    `findVtm` in interface `DicsSessionService`
  Returns:
  Throws:
    `TechnicalConnectorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.